Panel kullanıcıları
Alt kullanıcılar: sınırlı izinli ek panel girişleri (muhasebe, teknik ekip). Kapsam users.
#GET/cloud/users
Alt kullanıcıları listeleKapsam: userslistPanelUsersBu işlemin OpenAPI parçası
Yanıtlar
| 200 | Users — data: array<object> |
| 401 | Missing, invalid or revoked key |
| 404 | Not found — also returned for objects owned by someone else |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Örnekler
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/users' \
-H "Authorization: Bearer $GYRO_TOKEN"
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/users", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/users", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/users
Alt kullanıcı davet etKapsam: userscreatePanelUserBu işlemin OpenAPI parçası
İstek gövdesi
| Alan | Tür | Açıklama |
|---|
email zorunlu | string | |
label | string | |
permissions | array<string> | e.g. view_services, view_invoices, pay_invoices, view_tickets, open_tickets ... |
send_invite | boolean | |
Yanıtlar
| 201 | Created — data: object |
| 401 | Missing, invalid or revoked key |
| 404 | Not found — also returned for objects owned by someone else |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Örnekler
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/users' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email": "string", "label": "string", "permissions": ["string"], "send_invite": true}'
gyro user create --help # tüm seçenekler
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/users", headers=h, json={"email": "string", "label": "string", "permissions": ["string"], "send_invite": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/users", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"email": "string", "label": "string", "permissions": ["string"], "send_invite": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#PATCH/cloud/users/{id}
Alt kullanıcıyı güncelleKapsam: usersupdatePanelUserBu işlemin OpenAPI parçası
Parametreler
| Alan | in | Tür | Açıklama |
|---|
id zorunlu | path | integer | |
İstek gövdesi
| Alan | Tür | Açıklama |
|---|
label | string | |
status | string (active, inactive) | |
permissions | array<string> | |
Yanıtlar
| 200 | Updated — data: object |
| 401 | Missing, invalid or revoked key |
| 404 | Not found — also returned for objects owned by someone else |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Örnekler
curl -s -X PATCH 'https://www.gyrohosting.com/api/v1/client/cloud/users/12345' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"label": "string", "status": "active", "permissions": ["string"]}'
gyro user update 12345 --help # tüm seçenekler
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.patch("https://www.gyrohosting.com/api/v1/client/cloud/users/12345", headers=h, json={"label": "string", "status": "active", "permissions": ["string"]}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/users/12345", {
method: "PATCH",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"label": "string", "status": "active", "permissions": ["string"]}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/users/{id}
Alt kullanıcıyı silKapsam: usersdeletePanelUserBu işlemin OpenAPI parçası
Parametreler
| Alan | in | Tür | Açıklama |
|---|
id zorunlu | path | integer | |
Yanıtlar
| 200 | Deleted — data: object |
| 401 | Missing, invalid or revoked key |
| 404 | Not found — also returned for objects owned by someone else |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Örnekler
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/users/12345' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro user delete 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/users/12345", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/users/12345", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/users/{id}/resend-invite
Daveti yeniden gönderKapsam: usersresendPanelUserInviteBu işlemin OpenAPI parçası
Parametreler
| Alan | in | Tür | Açıklama |
|---|
id zorunlu | path | integer | |
Yanıtlar
| 200 | Sent — data: object |
| 401 | Missing, invalid or revoked key |
| 404 | Not found — also returned for objects owned by someone else |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Örnekler
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/users/12345/resend-invite' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro user resend-invite 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/users/12345/resend-invite", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/users/12345/resend-invite", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);